Skip to main content
PATCH
Update webhook

Authorizations

x-api-key
string
header
default:bd_live_your_key_here
required

Path Parameters

id
string
required

Body

application/json
name
string

A human-readable name for the webhook

endpoint
string

The URL that receives notifications

eventTypes
enum<string>[]

Replace the subscribed event types

Available options:
CAMPAIGN_STARTED,
CAMPAIGN_COMPLETED,
LEAD_PROFILE_VISITED,
LEAD_INVITATION_SENT,
LEAD_INVITATION_ACCEPTED,
LEAD_MESSAGE_SENT,
LEAD_MESSAGE_REPLIED,
LEAD_INVITATION_WITHDRAWN,
LEAD_SKIPPED,
ACCOUNT_DISCONNECTED,
DAILY_LIMIT_REACHED

Response

id
string
required

The unique identifier of the webhook

name
string
required

A human-readable name for the webhook

endpoint
string
required

The URL that receives event notifications

Example:

"https://example.com/hooks/botdog"

status
string
required

The webhook status

Example:

"ACTIVE"

scope
string
required

Delivery scope: ALL campaigns or SPECIFIC_CAMPAIGNS

Example:

"ALL"

type
string
required

The webhook type

Example:

"GENERIC"

isTeamWebhook
boolean
required

Whether the webhook is shared across the team

Example:

false

eventTypes
string[]
required

Event types this webhook is subscribed to

Example:
campaignIds
string[]
required

Campaign IDs this webhook is scoped to (empty when scope is ALL)

createdAt
string<date-time>
required

When the webhook was created

updatedAt
string<date-time>
required

When the webhook was last updated